------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Actions            --
------------------------

module(...,package.seeall)

-- includes --
local engine = engine.instance
local chunks = engine.chunks
local pool   = chunks.pool

-- Quickly scale out and destroy an actor.
function shrink_and_kill( owner )
	-- If we've already been destroyed, 
	-- don't do anything.
	if owner:isDestroyed() then
		return 
	end
	
	local s = SequenceAction()
		
	s:addAction( ScaleAction( 0.1, InterpAction.Smooth, pool.get_v3f( 0.0, 0.0, 1.0 ) ) )
	s:addAction( DestroyAction( 0.0 ) )
		
	owner:clearActions()
	owner:addAction( s )
end


