------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Assets             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine = engine.instance
local chunks = engine.chunks

--------------
-- textures --
--------------

local textures_shared = engine.paths.textures_shared

textures = {}


-- hud --
textures.digits              = { path = textures_shared .. "hud/digits", size = v2f( 16.0, 22.0 ) }
textures.score_bar           = { path = textures_shared .. "hud/score_bar", size = v2f( 121.0, 32.0 ) }
textures.pause_button        = { path = textures_shared .. "hud/pause_button", size = v2f(  37.0, 36.0 ) }
textures.continue_button     = { path = textures_shared .. "hud/continue_button", size = v2f( 66.0, 66.0 ) }
textures.menu_button         = { path = textures_shared .. "hud/menu_button", size = v2f( 62.0, 35.0 ) }
textures.death_menu          = { path = textures_shared .. "hud/death_menu", size = v2f( 249.0, 249.0 ) }
textures.leaderboards_button = { path = textures_shared .. "hud/gamecenter_button", size = v2f( 50.0, 50.0 ) }
textures.leaderboards_button_new = { path = textures_shared .. "hud/gamecenter_button_new", size = v2f( 50.0, 50.0 ) }
textures.facebook_button     = { path = textures_shared .. "hud/facebook_button", size = v2f( 50.0, 50.0 ) }
textures.twitter_button      = { path = textures_shared .. "hud/twitter_button", size = v2f( 50.0, 50.0 ) }
textures.email_button        = { path = textures_shared .. "hud/email_button", size = v2f( 50.0, 50.0 ) }
textures.replay_button       = { path = textures_shared .. "hud/replay_button", size = v2f( 166.0, 62.0 ) }
textures.bonus_meter_glow    = { path = textures_shared .. "hud/bonus_meter_glow", size = v2f( 64.0, 64.0 ) }
textures.loading             = { path = textures_shared .. "hud/loading", size = v2f( 189.0, 161.0 ) }
textures.item_store          = { path = textures_shared .. "hud/shields_menu_btn", size = v2f(128, 45) }
textures.shield_button       = { path = textures_shared .. "hud/shield_button", size = v2f( 86.0, 38.0 ) }
textures.shieldstore_popup   = { path = textures_shared .. "hud/Shield_Store", size = v2f(211, 256)}
textures.back_button 		 = { path = textures_shared .. "hud/back_button", size = v2f(55.0, 51.0) }
textures.exit_button 		 = { path = textures_shared .. "hud/Btn_X", size = v2f(59.0, 54.0) }
textures.small_exit_button   = { path = textures_shared .. "hud/Btn_X", size = v2f(39.0, 36.0) }
textures.shieldstore_button  = { path = textures_shared .. "hud/shield_store_btn", size = v2f(192.5, 40.5) }
textures.use_now		     = { path = textures_shared .. "hud/use_now", size = v2f(128, 80) }
textures.no					 = { path = textures_shared .. "hud/no_button", size = v2f( 53.0, 37.0 ) } 
textures.yes				 = { path = textures_shared .. "hud/yes_button", size = v2f( 165.0, 75.0 ) } 
textures.try_deluxe		     = { path = textures_shared .. "hud/try_deluxe", size = v2f(130, 86) }
textures.full_ia_panel       = { path = textures_shared .. "hud/full_ia_panel", size = v2f(207, 210) }

textures.try_deluxe_locale   = { path = textures_shared .. "hud/locale/try_deluxe_locale", size = v2f(130, 86) }
textures.item_store_locale   = { path = textures_shared .. "hud/locale/shields_menu_btn", size = v2f( 128, 45) }
textures.shieldstore_popup_locale 	= { path = textures_shared .. "hud/locale/Shield_Store_locale", size = v2f( 123.0, 40.0 ) }

textures.death_menu_best_locale 	= { path = textures_shared .. "hud/locale/death_menu_best_locale", size = v2f( 70.0, 32.0 ) }
textures.death_menu_height_locale 	= { path = textures_shared .. "hud/locale/death_menu_height_locale", size = v2f( 170.0, 62.0 ) }

textures.replay_button_locale     	= { path = textures_shared .. "hud/locale/replay_button_locale",  size = v2f( 166.0, 62.0 ) }
textures.menu_button_locale 		= { path = textures_shared .. "hud/locale/menu_button_locale", size = v2f( 62.0, 35.0 ) }
textures.remove_ads_button_locale      = { path = textures_shared .. "hud/locale/replay_button_locale", size = v2f( 150.0, 60.0 ) }
textures.remove_ads_smaller_button_locale      = { path = textures_shared .. "hud/locale/replay_button_locale", size = v2f( 130.0, 60.0 ) }

textures.paused_menu_text_locale			= { path = textures_shared .. "hud/locale/paused_text_locale", size = v2f( 163, 44 ) }
textures.paused_menu_or_locale				= { path = textures_shared .. "hud/locale/or_text_locale", size = v2f( 40, 24 ) }

textures.options_logo_locale 			= { path = textures_shared .. "menu/locale/options_logo_locale", size = v2f( 197.0, 53.0 ) }
textures.options_music_text_locale 		= { path = textures_shared .. "menu/locale/options_music_text_locale", size = v2f( 87.0, 23.0 ) }
textures.options_sound_text_locale      = { path = textures_shared .. "menu/locale/options_sound_text_locale", size = v2f( 87.0, 23.0 ) }

textures.credits_logo                   = { path = textures_shared .. "menu/locale/credits_logo_locale", size = v2f( 170.0, 40.0 ) }

--textures.filmstrip_boost                      = { path = textures_shared .. "hud/filmstrip_boost_button", size = v2f( 162.0, 67.0 ) }
--textures.camera_boost                         = { path = textures_shared .. "hud/camera_boost_button", size = v2f( 162.0, 67.0 ) }

--textures.filmstrip_revive                      = { path = textures_shared .. "hud/filmstrip_revive_button", size = v2f( 162.0, 35.0 ) }
--textures.camera_revive                         = { path = textures_shared .. "hud/camera_revive_button", size = v2f( 162.0, 35.0 ) }

textures.boost_button =                     { path = textures_shared .. "hud/fuse_boost_button", size = v2f( 162.0, 35.0 ) }
textures.camera_icon =                      { path = textures_shared .. "hud/fuse_camera_icon", size = v2f( 26.0, 19.0 ) }
textures.filmstrip_icon =                   { path = textures_shared .. "hud/fuse_filmstrip_icon", size = v2f( 24.0, 24.0 ) }
textures.boost_shield_icon =                { path = textures_shared .. "hud/fuse_shield", size = v2f( 50.0, 50.0 ) }
textures.boost_rocket_icon =                { path = textures_shared .. "hud/fuse_rocket", size = v2f( 33.0, 71.0 ) }

-- ninja --
textures.ninja_climbing = { path = textures_shared .. "ninja/climbing", size = v2f( 40.0, 40.0 ), collides = true }
textures.ninja_jumping  = { path = textures_shared .. "ninja/jumping", size = v2f( 100.0, 100.0 ), collides = true }
textures.ninja_falling  = { path = textures_shared .. "ninja/falling", size = v2f( 55.0, 55.0 ), collides = true }
textures.shield         = { path = textures_shared .. "ninja/shield", size = v2f( 128.0, 128.0 ) }

-- enemies --
textures.shieldpack = { path = textures_shared .. "enemies/shieldpack", size = v2f( 60.0, 60.0 ), collides = true }

-- particles --
textures.particles_shield = { path = textures_shared .. "particles/shield", size = v2f( 8.0, 8.0 ) }
textures.particles_spark  = { path = textures_shared .. "particles/spark", size = v2f( 11.0, 11.0 ) }

-- effects --
textures.effects_slice = { path = textures_shared .. "effects/slice", size = v2f( 64.0, 64.0 ) }

-- incent boost --
textures.start_boost = { path = textures_shared .. "enemies/start_rocket", size = v2f( 55.0, 160.0 ), collides = true }

------------
-- sounds --
------------

local sounds_shared = engine.paths.sounds_shared

sounds = {}

-- ui --
sounds.click = { path = sounds_shared .. "click.ogg" } 

-- game --
sounds.die = { path = sounds_shared .. "die.ogg", priority = 80.0 }

-- ninja --
sounds.footsteps  = { path = sounds_shared .. "ninja/footsteps.ogg", priority = 80.0, loops = true }
sounds.ninja_fall = 
{
	{ path = sounds_shared .. "ninja/fall_1.ogg", priority = 80.0 },
	{ path = sounds_shared .. "ninja/fall_2.ogg", priority = 80.0 },
	{ path = sounds_shared .. "ninja/fall_3.ogg", priority = 80.0 }
}
sounds.ninja_jump =
{
	{ path = sounds_shared .. "ninja/jump_1.ogg" },
	{ path = sounds_shared .. "ninja/jump_2.ogg" },
	{ path = sounds_shared .. "ninja/jump_3.ogg" },
	{ path = sounds_shared .. "ninja/jump_4.ogg" },
	{ path = sounds_shared .. "ninja/jump_5.ogg" },
	{ path = sounds_shared .. "ninja/jump_6.ogg" },
	{ path = sounds_shared .. "ninja/jump_7.ogg" },
	{ path = sounds_shared .. "ninja/jump_8.ogg" },
	{ path = sounds_shared .. "ninja/jump_9.ogg" },
	{ path = sounds_shared .. "ninja/jump_10.ogg" }
}
sounds.ninja_land =
{
	{ path = sounds_shared .. "ninja/land_1.ogg" },
	{ path = sounds_shared .. "ninja/land_2.ogg" },
	{ path = sounds_shared .. "ninja/land_3.ogg" },
	{ path = sounds_shared .. "ninja/land_4.ogg" },
	{ path = sounds_shared .. "ninja/land_5.ogg" },
	{ path = sounds_shared .. "ninja/land_6.ogg" },
	{ path = sounds_shared .. "ninja/land_7.ogg" },
	{ path = sounds_shared .. "ninja/land_8.ogg" },
	{ path = sounds_shared .. "ninja/land_9.ogg" },
	{ path = sounds_shared .. "ninja/land_10.ogg" }
}

-- enemies --
sounds.shieldpack = { path = sounds_shared .. "shieldpack.ogg", priority = 80.0 } 
sounds.explode    =
{
	{ path = sounds_shared .. "enemies/explode_1.ogg" },
	{ path = sounds_shared .. "enemies/explode_2.ogg" },
	{ path = sounds_shared .. "enemies/explode_3.ogg" }
}
sounds.throw =
{
	{ path = sounds_shared .. "enemies/throw_1.ogg" },
	{ path = sounds_shared .. "enemies/throw_2.ogg" },
	{ path = sounds_shared .. "enemies/throw_3.ogg" }
}
sounds.hit_enemy =
{
	{ path = sounds_shared .. "enemies/hit_enemy_1.ogg" },
	{ path = sounds_shared .. "enemies/hit_enemy_2.ogg" },
	{ path = sounds_shared .. "enemies/hit_enemy_3.ogg" }
}
sounds.hit_overhang =
{
	{ path = sounds_shared .. "enemies/hit_overhang_1.ogg" },
	{ path = sounds_shared .. "enemies/hit_overhang_2.ogg" },
	{ path = sounds_shared .. "enemies/hit_overhang_3.ogg" }
}

sounds.bonus_trigger_bomb     = { path = sounds_shared .. "bonus_trigger_bomb.ogg", priority = 100.0 }
sounds.bonus_loop_bomb        = { path = sounds_shared .. "bonus_loop_bomb.ogg", priority = 100.0 }

----------
-- misc --
----------

-- The attach point - sets up metatables for shared assets.
function attach( assets )
	setmetatable( assets.textures, { __index = textures } )
	setmetatable( assets.sounds,   { __index = sounds   } )
end



	

