------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Assets             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine = engine.instance
local chunks = engine.chunks
local world_size = engine.platform.constants.scene.world_size
--------------
-- textures --
--------------

local textures_product = engine.paths.textures_product

textures = {}

-- common --
textures.back_button = { path = textures_product .. "back_button", size = v2f( 55.0, 51.0 ) }

-- main --
textures.main                = { path = textures_product .. "main", size = world_size  }
textures.play_button         = { path = textures_product .. "play_button", size = v2f( 91.0, 40.0 ) }
textures.options_button      = { path = textures_product .. "options_button", size = v2f( 122.0, 34.0 ) }
textures.more_games_button   = { path = textures_product .. "more_games", size = v2f( 92.0, 81.0 ) }
textures.leaderboards_button = { path = textures_product .. "leaderboards_button", size = v2f( 50.0, 50.0 ) }
textures.leaderboards_button_new = { path = textures_product .. "leaderboards_button_new", size = v2f( 50, 50 ) }
textures.adbuyout_button 	 = { path = textures_product .. "adbuyout_button", size = v2f( 122.0, 34.0 ) } 

textures.more_games_button_locale   = { path = textures_product .. "locale/more_games_locale", size = v2f( 92.0, 81.0 ) }
textures.options_button_locale      = { path = textures_product .. "locale/options_button_locale", size = v2f( 122.0, 42.0 ) }
textures.remove_ads_button_locale      = { path = textures_product .. "locale/options_button_locale", size = v2f( 122.0, 48.0 ) }
textures.play_button_locale  		= { path = textures_product .. "locale/play_button_locale", size = v2f( 100.0, 40.0 ) }

-- options --
textures.options         = { path = textures_product .. "options", size = world_size } 
textures.tutorial_button = { path = textures_product .. "tutorial_button", size = v2f( 119.0, 41.0 ) } 
textures.credits_button  = { path = textures_product .. "credits_button", size = v2f( 119.0, 41.0 ) } 
textures.restore_button  = { path = textures_product .. "restore_button", size = v2f( 119.0, 41.0 ) } 
textures.privacy_button  = { path = textures_product .. "privacy_button", size = v2f( 120.0, 31.0 ) }
textures.privacy_text    = { path = textures_product .. "privacy_text", size = v2f( 98.0, 13.0 ) }
textures.on_button       = { path = textures_product .. "on_button", size = v2f( 70.0, 44.0 ) } 
textures.off_button      = { path = textures_product .. "off_button", size = v2f( 70.0, 44.0 ) }

textures.on_off_button_locale 			= { path = textures_product .. "locale/more_games_locale", size = v2f( 70.0, 44.0 ) }
textures.options_screen_blank_button 	= { path = textures_product .. "locale/options_button_locale", size = v2f( 119.0, 41.0 ) } 
textures.options_screen_blank_large_button 	= { path = textures_product .. "locale/options_button_locale", size = v2f( 119.0, 50.0 ) } 

-- tutorial --
textures.tutorial             = { path = textures_product .. "tutorial", size = world_size } 
textures.tutorial_play_button = { path = textures_product .. "tutorial_play_button", size = v2f( 146.0, 67.0 ) }

-- credits --
textures.credits = { path = textures_product .. "credits", size = world_size } 

-- adbuyout --
textures.adbuyout   = { path = textures_product .. "adbuyout", size = v2f( 320.0, 480.0 ) } 


------------
-- sounds --
------------

sounds = {}

-----------
-- music --
-----------

local music_shared = engine.paths.music_shared

music = {}

-- menu --
music.main = { path = music_shared .. "main", loops = true, volume = 1.0 }


