------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Assets             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine = engine.instance
local chunks = engine.chunks
local world_size = engine.platform.constants.scene.world_size

--------------
-- textures --
--------------

local textures_product = engine.paths.textures_product

textures = {}

-- common --
textures.back_button = { path = textures_product .. "back_button", size = v2f( 55.0, 51.0 ) }

-- main --
textures.main_classic        = { path = textures_product .. "main_classic", size = world_size }
textures.main_jungle         = { path = textures_product .. "main_jungle", size = world_size }
textures.main_pirates        = { path = textures_product .. "main_pirates", size = world_size }
textures.main_castle         = { path = textures_product .. "main_castle", size = world_size }
textures.classic_button      = { path = textures_product .. "classic_button", size = v2f( 128.0, 47.5 ) }
textures.jungle_button       = { path = textures_product .. "jungle_button", size = v2f( 128.0, 47.5 ) }
textures.pirates_button      = { path = textures_product .. "pirates_button", size = v2f( 128.0, 47.5 ) }
textures.castle_button       = { path = textures_product .. "castle_button", size = v2f( 128.0, 47.5 ) }
textures.options_button      = { path = textures_product .. "options_button", size = v2f( 122.0, 34.0 ) }
textures.more_games_button   = { path = textures_product .. "more_games", size = v2f( 92.0, 81.0 ) }
textures.leaderboards_button = { path = textures_product .. "leaderboards_button", size = v2f( 51.5, 51.5 ) }
textures.leaderboards_button_new = { path = textures_product .. "leaderboards_button_new", size = v2f( 51.5, 51.5 ) }
textures.adbuyout_button = { path = textures_product .. "adbuyout_button", size = v2f( 122.0, 34.0 ) } 

textures.free_label = { path = textures_product .. "main_free", size = v2f( 77.0, 25.0 ) }
textures.deluxe_label = { path = textures_product .. "main_deluxe", size = v2f( 137.0, 44.0 ) }

textures.classic_button_locale      = { path = textures_product .. "locale/classic_button_locale", size = v2f( 128.0, 47.5 ) }
textures.jungle_button_locale       = { path = textures_product .. "locale/jungle_button_locale", size = v2f( 128.0, 47.5 ) }
textures.pirates_button_locale      = { path = textures_product .. "locale/pirates_button_locale", size = v2f( 128.0, 47.5 ) }
textures.castle_button_locale       = { path = textures_product .. "locale/castle_button_locale", size = v2f( 128.0, 47.5 ) }
textures.options_button_locale      = { path = textures_product .. "locale/options_button_locale", size = v2f( 122.0, 34.0 ) }
textures.more_games_button_locale   = { path = textures_product .. "locale/more_games_locale", size = v2f( 92.0, 81.0 ) }

-- options --
textures.options_classic = { path = textures_product .. "options_classic", size = world_size } 
textures.options_jungle  = { path = textures_product .. "options_jungle", size = world_size } 
textures.options_pirates = { path = textures_product .. "options_pirates", size = world_size } 
textures.options_castle  = { path = textures_product .. "options_castle", size = world_size }
textures.tutorial_button = { path = textures_product .. "tutorial_button", size = v2f( 119.0, 41.0 ) } 
textures.credits_button  = { path = textures_product .. "credits_button", size = v2f( 119.0, 41.0 ) } 
textures.restore_button  = { path = textures_product .. "restore_button", size = v2f( 119.0, 41.0 ) } 
textures.privacy_button  = { path = textures_product .. "privacy_button", size = v2f( 120.0, 31.0 ) }
textures.privacy_text    = { path = textures_product .. "privacy_text", size = v2f( 98.0, 13.0 ) }
textures.on_button       = { path = textures_product .. "on_button", size = v2f( 70.0, 44.0 ) } 
textures.off_button      = { path = textures_product .. "off_button", size = v2f( 70.0, 44.0 ) }

textures.on_off_button_locale 			= { path = textures_product .. "locale/more_games_locale", size = v2f( 70.0, 44.0 ) }
textures.options_screen_blank_button 	= { path = textures_product .. "locale/options_button_locale", size = v2f( 119.0, 41.0 ) } 
textures.options_screen_blank_large_button 	= { path = textures_product .. "locale/options_button_locale", size = v2f( 119.0, 50.0 ) } 
textures.play_button_locale             = { path = textures_product .. "locale/more_games_locale", size = v2f( 100.0, 40.0 ) }

-- tutorial --
textures.tutorial             = { path = textures_product .. "tutorial", size = world_size } 
textures.tutorial_play_button = { path = textures_product .. "tutorial_play_button", size = v2f( 146.0, 67.0 ) }

-- credits --
textures.credits = { path = textures_product .. "credits", size = world_size }

-- unlock --
textures.unlock   = { path = textures_product .. "unlock", size = world_size } 

------------
-- sounds --
------------

sounds = {}

-----------
-- music --
-----------

local music_shared = engine.paths.music_shared

music = {}

-- menu --
music.main = { path = music_shared .. "main", loops = true, volume = 1.0 }

