------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Bridge             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local enemy     = chunks.enemy
local particles = chunks.particles
local actions   = chunks.actions
local textures  = chunks.textures

-- LuaBridge --
LuaBridge = chunks.class.inherit( chunks.enemy.LuaEnemy )()

-- The spawner.
spawn = chunks.class.spawner( ActorBase, LuaBridge )

-- The created method.
function LuaBridge:created( owner )
	-- Initialize super.
	enemy.LuaEnemy.created( self, owner )
	
	-- Initialize owner.
	owner.label = "bridge"
	
	-- Bridge.
	do
		local actor = owner:spawn( ActorBase() )
		
		actor.texture = assets.textures.bridge.path
		actor.mesh    = assets.meshes.bridge.path
		
		actor.scale = pool.get_v3f( 2.45, 2.45, 1.0 )
		
		self.visuals.bridge = actor
	end
	
	self:setVisual( "bridge" )
end



