------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Chain              --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local enemy     = chunks.enemy
local particles = chunks.particles
local actions   = chunks.actions
local textures  = chunks.textures

-- LuaChain --
LuaChain = chunks.class.inherit( chunks.enemy.LuaEnemy )()

-- The spawner.
spawn = chunks.class.spawner( ActorBase, LuaChain )

-- The created method.
function LuaChain:created( owner )
	-- Initialize super.
	enemy.LuaEnemy.created( self, owner )
	
	-- Initialize owner.
	owner.label = "chain"
	
	-- Rope.
	do
		local actor = owner:spawn( SpriteActor() )
		
		textures.setTexture( actor, assets.textures.chain )
		
		actor.scale = pool.get_v3f( 1.05, 1.0, 1.0 )
		
		self.visuals.chain = actor
	end
	
	self:setVisual( "chain" )
end



