------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Chunks             --
------------------------

-- module --
module(...,package.seeall)

engine.instance.chunks = {}

local engine       = engine.instance
local chunks       = engine.chunks
local shared_path  = engine.paths.scripts_shared
local product_path = engine.paths.scripts_product

-- chunks --
chunks.pool          = require( shared_path  .. ".pool" )
chunks.class         = require( shared_path  .. ".class" )
chunks.visitors      = require( shared_path   .. ".visitors" )
chunks.textures      = require( shared_path  .. ".textures" )
chunks.assets_shared = require( shared_path  .. ".assets" )
chunks.assets        = require( product_path .. ".assets" )
chunks.iap           = require( shared_path .. ".iap" )
chunks.analytics    = require( shared_path .. ".new_analytics" )
chunks.incent_ads    = require( shared_path .. ".incent_ads" )
chunks.swrve        = require( shared_path .. ".swrve_manager" )

chunks.assets_shared.attach( chunks.assets )

chunks.precache = require( shared_path  .. ".precache" )
chunks.sound    = require( shared_path  .. ".sound" )
chunks.music    = require( shared_path  .. ".music" ) 
chunks.utility  = require( shared_path  .. ".utility" )
chunks.actions  = require( shared_path  .. ".actions" )
chunks.fade     = require( shared_path  .. ".fade" )
chunks.window   = require( shared_path  .. ".window" )
chunks.events   = require( shared_path  .. ".events" )
chunks.ticker   = require( shared_path  .. ".ticker" )
chunks.credits  = require( product_path .. ".credits" )
chunks.tutorial = require( product_path .. ".tutorial" )
chunks.options  = require( product_path .. ".options" )
chunks.main     = require( product_path .. ".main" )
chunks.game     = require( product_path .. ".game" )
chunks.shield_store   = require( shared_path   .. ".shieldstore" )
chunks.shield_info    = require( shared_path   .. ".shieldinfo" )

chunks.social = require("social")

