------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Chunks             --
------------------------

-- module --
module(...,package.seeall)

engine.instance.chunks = {}

local engine      = engine.instance
local chunks      = engine.chunks
local shared_path = engine.paths.scripts_shared
local theme_path  = engine.paths.scripts_theme

-- chunks --
chunks.pool           = require( shared_path   .. ".pool" )
chunks.class          = require( shared_path   .. ".class" )
chunks.visitors       = require( shared_path   .. ".visitors" )
chunks.textures       = require( shared_path   .. ".textures" )
chunks.assets_shared  = require( shared_path   .. ".assets" )
chunks.assets         = require( theme_path    .. ".assets" )
chunks.iap           = require( shared_path .. ".iap" )
chunks.incent_ads    = require( shared_path .. ".incent_ads" )
chunks.analytics    = require( shared_path .. ".new_analytics" )
chunks.swrve        = require( shared_path .. ".swrve_manager" )

chunks.assets_shared.attach( chunks.assets )

chunks.precache       = require( shared_path   .. ".precache" )
chunks.sound          = require( shared_path   .. ".sound" )
chunks.music          = require( shared_path   .. ".music" ) 
chunks.utility        = require( shared_path   .. ".utility" )
chunks.actions        = require( shared_path   .. ".actions" )
chunks.fade           = require( shared_path   .. ".fade" )
chunks.window         = require( shared_path   .. ".window" )
chunks.events         = require( shared_path   .. ".events" )
chunks.ticker         = require( shared_path   .. ".ticker" )
chunks.particles      = require( shared_path   .. ".particles" )
chunks.effects        = require( shared_path   .. ".effects" )
chunks.pause_menu     = require( shared_path   .. ".hud.pause_menu" )
chunks.death_menu     = require( shared_path   .. ".hud.death_menu" )
chunks.bonusmeter     = require( shared_path   .. ".bonusmeter" )
chunks.hud            = require( shared_path   .. ".hud.hud" )
chunks.background     = require( theme_path    .. ".background" )
chunks.foreground     = require( theme_path    .. ".foreground" )
chunks.pawn           = require( shared_path   .. ".pawn" )
chunks.enemy          = require( shared_path   .. ".enemy" )
chunks.shieldpack     = require( shared_path   .. ".shieldpack" )
chunks.new_high_score = require( shared_path   .. ".new_high_score" )
chunks.bridge         = require( theme_path    .. ".enemies.bridge" )
chunks.foliage        = require( theme_path    .. ".enemies.foliage" )
chunks.dart           = require( theme_path    .. ".enemies.dart" )
chunks.witch          = require( theme_path    .. ".enemies.witch" )
chunks.bee            = require( theme_path    .. ".enemies.bee" )
chunks.beehive        = require( theme_path    .. ".enemies.beehive" )
chunks.monkey         = require( theme_path    .. ".enemies.monkey" )
chunks.frog           = require( theme_path    .. ".enemies.frog" )
chunks.beetle         = require( theme_path    .. ".enemies.beetle" )
chunks.snake          = require( theme_path    .. ".enemies.snake" )
chunks.branch         = require( theme_path    .. ".enemies.branch" )
chunks.flytrap        = require( theme_path    .. ".enemies.flytrap" )
chunks.scenario       = require( shared_path   .. ".scenario" )
chunks.scenarios      = require( theme_path    .. ".scenarios" )
chunks.shield         = require( shared_path   .. ".shield" )
chunks.ninja          = require( shared_path   .. ".ninja" )
chunks.walls          = require( shared_path   .. ".walls" )
chunks.game           = require( shared_path   .. ".game" )
chunks.shield_store   = require( shared_path   .. ".shieldstore" )
chunks.shield_info    = require( shared_path   .. ".shieldinfo" )
chunks.start_boost    = require( shared_path   .. ".start_boost" )

chunks.social = require("social")
