------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Constants          --
------------------------

-- module --
module(...,package.seeall)

-- scene camera info
scene = 
{
	world_size      = v2f( 320.0, 480.0 ),
	clipping_planes = v2f( 500.0, -500.0 )
}

-- window camera info
window = 
{
	world_size      = v2f( 320.0, 480.0 ),
	clipping_planes = v2f( 500.0, -500.0 )
}

-- other
clear_color    = colorf( 1.0, 1.0, 1.0, 1.0 )
clear_color_on = false
clear_depth_on = true
delta_time_cap = 1.0 / 25.0
ad_height      = 50.0

-- game specific
wall_tile_size = v2f( 32.0, 50.0 )

-- Game overrides.
function game_overrides()
	local engine = engine.instance
	local chunks = engine.chunks
	local assets = chunks.assets
	
	-- Jungle.
	if engine.theme == "jungle" then
		if DeviceInfo.get():query("hw.performance") < 3 then
			assets.textures.foliage1           = nil
			assets.textures.foliage2           = nil
			assets.textures.foliage3           = nil
			assets.meshes.foliage1             = nil
			assets.meshes.foliage2             = nil
			assets.meshes.foliage3             = nil
			chunks.scenarios.scenarios.foliage = nil
		end
	end
end
