------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Constants          --
------------------------

-- module --
module(...,package.seeall)

local screen_size = DeviceInfo.get():query( "display.size" ) * DeviceInfo.get():query( "display.scale" ) 

print("SCREEN", screen_size)

local world_size
local aspect_ratio = screen_size.y / screen_size.x

if 16/10 <= aspect_ratio and aspect_ratio <= 16/9 then
    WIDESCREEN = true
    world_size = v2f(640, 1136)/2
else
    world_size = v2f(640, 960)/2
end


-- scene camera info
scene = 
{
	world_size      = v2f( world_size ),
	clipping_planes = v2f( 500.0, -500.0 )
}

-- window camera info
window = 
{
	world_size      = v2f( world_size ),
	clipping_planes = v2f( 500.0, -500.0 )
}

-- other
clear_color    = colorf( 1.0, 1.0, 1.0, 1.0 )
clear_color_on = false
clear_depth_on = true
delta_time_cap = 1.0 / 25.0
ad_height      = 50.0

-- game specific
wall_tile_size = v2f( 32.0, 50.0 )

