------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Effects          --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local utility  = chunks.utility
local assets   = chunks.assets
local pool     = chunks.pool
local textures = chunks.textures

-- Spawn a flash.
function spawn_flash( owner, texture, location )
	local flash = owner:spawn( SpriteActor() )
	
	flash.location = location
	
	textures.setTexture( flash, texture )
	
	-- Actions.
	do
		local s     = SequenceAction()
		local s2    = SequenceAction()
		local split = SplitAction()
		
		s2:addAction( ScaleAction( 0.25, InterpAction.Smooth, pool.get_v3f( 1.5, 1.5, 1.0 ) ) )
		s2:addAction( ScaleAction( 0.25, InterpAction.Smooth, pool.get_v3f( 1.0, 1.0, 1.0 ) ) )
		split:addAction( s2 )
		split:addAction( AlphaAction( 0.5, InterpAction.Smooth, 0.0 ) )
		s:addAction( split )
		s:addAction( DestroyAction( 0.0 ) )
		
		flash:addAction( s )
	end
	
	return flash
end

