------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Enemy              --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local pawn     = chunks.pawn
local textures = chunks.textures

-- LuaEnemy --
LuaEnemy = chunks.class.inherit( chunks.pawn.LuaPawn )
{
	killable = true
}

-- The spawner.
spawn = chunks.class.spawner( ActorBase, LuaEnemy )

-- The created method.
function LuaEnemy:created( owner )
	-- Initialize super.
	pawn.LuaPawn.created( self, owner )
	
	-- Register.
	self:register()
end

-- The destroy method.
function LuaEnemy:destroy( owner )
	-- Unregister.
	self:unregister()
end

-- Register with the ninja.
function LuaEnemy:register()
	local owner = self.owner
	local game  = owner:getGame()
	
	-- Register with the ninja.
	game.lua.ninja.lua.enemies[ owner.id ] = owner
end

-- Unregister with the ninja.
function LuaEnemy:unregister()
	local owner = self.owner
	local game  = owner:getGame()
	
	-- Register with the ninja.
	game.lua.ninja.lua.enemies[ owner.id ] = nil
end

