------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Foliage            --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local enemy     = chunks.enemy
local particles = chunks.particles
local actions   = chunks.actions
local textures  = chunks.textures

-- LuaFoliage --
LuaFoliage = chunks.class.inherit( chunks.enemy.LuaEnemy )
{
	offsets =
	{
		-143.0,
		-142.5
	}
}

-- The spawner.
spawn = chunks.class.spawner( ActorBase, LuaFoliage )

-- The created method.
function LuaFoliage:created( owner )
	-- Initialize super.
	enemy.LuaEnemy.created( self, owner )

	local index = math.random( 1, #self.offsets )

	-- Initialize owner.
	owner.label    = "foliage"
	owner.location = pool.get_v3f( self.offsets[ index ], 0.0, 0.0 )
	
	-- Randomly choose foliage.
	do
		local actor = owner:spawn( SpriteActor() )
	
		textures.setTexture( actor, assets.textures[ "foliage" .. tostring( index ) ] )
		
		self.visuals.foliage = actor
	end
	
	self:setVisual( "foliage" )
end



