------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Foreground         --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local assets   = chunks.assets
local pool     = chunks.pool
local textures = chunks.textures

-- LuaForeground --
LuaForeground = chunks.class.new()

-- The spawner.
spawn = chunks.class.spawner( SpriteActor, LuaForeground )

-- The created method.
function LuaForeground:created( owner )
	local game = owner:getGame()
	
	-- Initialize owner.
	owner.location = pool.get_v3f( 0, 0, 50.0 )
	
	textures.setTexture( owner, assets.textures.foreground )
	
	do
		local s        = SequenceAction()
		local distance = -480.0
		local lifetime = distance / game.lua.speed
		
		s:addAction( MoveOffsetAction( lifetime, InterpAction.Lerp, pool.get_v3f( 0.0, distance, 0.0 ) ) )
		s:addAction( DestroyAction( 0.0 ) )
		
		owner:addAction( s )
	end
end
