--| module |--
module(...,package.seeall)

show_handle = nil
preload_handle = {}

function videoAvailable(tag)
    local fuse = FuseAdsService.get()
    local available_according_to_fuse = fuse:checkForAvailableAds(tag)
    print("available_according_to_fuse ", available_according_to_fuse)
    local info     = DeviceInfo.get()
    local network_connection_exists = info:query( "net.connected" )
    print("network_connection_exists ", network_connection_exists)
    return (available_according_to_fuse and network_connection_exists)
end

function preloadAd(tag)
    local fuse = FuseAdsService.get()
    print("Starting preload for zone ", tag)
    preload_handle[tag] = fuse:preloadAd(tag, function() print("Ad preloaded for zone ", tag) end)
end

function showIncentVideo(tag, success_callback, fail_callback)
    local fuse = FuseAdsService.get()
    local final_callback = function(handle, responseCode, response)
        --Some newer versions of iOS are not properly muting audio during the video ad. Doing so manually
        local music_on = GameOptions.get().music_on
        Audio.get():getPlaylistGroup().volume = music_on and 1.0 or 0.0
        Audio.get().paused = false
        
        local reward_value = response:floatValue()
        if((responseCode == FuseResponseCode.Success) and (reward_value > 0)) then
            success_callback()
        else
            fail_callback()
        end
    end
                
    if (fuse ~= nil) then
        --last second check to availability, could possible save us when connection is lost after button is created(and the check at creation)
        if(videoAvailable(tag)) then
            print("Ad is still available at the last second check...showing for zone " .. tag)
            --See muting comment above
            Audio.get():getPlaylistGroup().volume = 0.0
            show_handle = fuse:showIncentivizedVideoAd(tag, final_callback)
        else
            print("No fuse ad available, aborting request")
            fail_callback()
        end
    end
end