------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Laundry            --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local enemy     = chunks.enemy
local particles = chunks.particles
local actions   = chunks.actions
local textures  = chunks.textures

-- LuaLaundry --
LuaLaundry = chunks.class.inherit( chunks.enemy.LuaEnemy )()

-- The spawner.
spawn = chunks.class.spawner( ActorBase, LuaLaundry )

-- The created method.
function LuaLaundry:created( owner )
	-- Initialize super.
	enemy.LuaEnemy.created( self, owner )
	
	-- Initialize owner.
	owner.label = "laundry"
	
	-- Laundry.
	do
		local actor = owner:spawn( SpriteActor() )
		
		textures.setTexture( actor, assets.textures.laundry )

		self.visuals.laundry = actor
	end
	
	self:setVisual( "laundry" )
end


