------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Music              --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local playlist = engine.audio.music

-- Play a song.
function play( song )
    playlist:clear()

    if song.path then
        playlist:add( song.path )
        playlist:getChannelGroup().volume = song.volume and song.volume or 1.0
        playlist:play()
    end
end

-- Play a list.
function playList( songs )
    playlist:clear()

    for k,v in ipairs( songs ) do
        if v.path then
            playlist:add( v.path )
        end
    end

    playlist:play()
end

