-- module --
module(...,package.seeall)
local engine = engine.instance



local PICTURE = {
    classic = {
        ipad="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_facebook_hd.png",
        iphone="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_facebook.png",
        android="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_facebook.png"
    },
    deluxe_free = {
        iphone="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_dx_free_facebook.png",
        ipad="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_dx_hd_free_facebook.png",
        android="http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_dx_free_facebook.png"
    }
}

local URL = {
    classic = {
        ipad="http://apple.co/1eDIlcV",
        iphone="http://apple.co/1Co4uqJ",
        android="http://bit.ly/1K2DBId"
    },
    deluxe_free = {
        ipad="http://goo.gl/sHKhA",
        iphone="http://goo.gl/eKg3u",
        android="http://bit.ly/1Ggmjsz"
    }
}

local NJDX_APP_STORE = {
    ipad = "http://www.backflipstudios.com/games/ninjump-deluxe/",
    iphone = "http://www.backflipstudios.com/games/ninjump-deluxe/",
    android = "market://details?id=com.backflipstudios.android.ninjumpdeluxe"
}

function getPlatform()
    local platform = engine.platform.device

    if platform ~= "android" then
        -- IOS device
        -- NOTE: iphone/ipad is a misnomer.  Really it's iphone/HD as an ipad can run the iphone version.  But we still use 'ipad' to represent HD.
        if HD then
            platform = "ipad"
        else
            platform = "iphone"
        end
    end

    return platform
end

function getPlatformString(platform)
    if platform == "android" then
        return "android"
    end

    return "ios"
end

function getSocialDetails()
    local product
    
    if GameService.get():zeb() then
        local use_url
        local use_picture
        
        if NJ_CLASSIC then
            product = "classic"
            use_url = "http://www.amazon.com/gp/mas/dl/android?p=com.backflipstudios.zeb.ninjump"
            use_picture = "http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_facebook.png"
        elseif NJ_DELUXE_FREE then
            product = "deluxe_free"
            use_url = "http://www.amazon.com/gp/mas/dl/android?p=com.backflipstudios.zeb.ninjumpdeluxe"
            use_picture = "http://backflipstudios.s3.amazonaws.com/ninjump/ninjump_dx_free_facebook.png"
        end
        
        local details = {
            product_name = lstring("ninjump_" .. product .. (HD and "_hd" or "")),
            picture = use_picture,
            url = use_url,
            platform = lstring("android")
        }
        
        return details
    else
        if NJ_CLASSIC then
            product = "classic"
        elseif NJ_DELUXE_FREE then
            product = "deluxe_free"
        end
    
        if not product then
            print("COULD NOT DETERMINE PRODUCT") 
            --NOTE: This error is handled by the caller.
            return
        end
    
        -- Determine platform    
        local platform = getPlatform()
        local platform_string = getPlatformString(platform)
        
    
        local details = {
            product_name = lstring("ninjump_" .. product .. (HD and "_hd" or "")),
            picture = PICTURE[product][platform],
            url = URL[product][platform],
            platform = lstring(platform_string)
        }
    
        print("USING URL: " .. tostring(details.url))

        --HACK: Android doesn't have deluxe vs deluxe free, it only has deluxe free but is called deluxe...  Genius.
        if platform == "android" and product == "delxue_free" then
            details.product_name = lstring("ninjump_deluxe")
        end
        
        return details

    end
end

function getDeluxeURL()
    if GameService.get():zeb() then
        return "http://www.amazon.com/gp/mas/dl/android?p=com.backflipstudios.zeb.ninjumpdeluxe"
    else
        local platform = getPlatform()
        return NJDX_APP_STORE[platform]
    end
end

