--| module |--
module(...,package.seeall)
-- includes --
local engine    = engine.instance

--this class handles all swrve a/b testing functionality, along with associated analytics and event sending


function getSwrve()
    swrve = SwrveService.get()
    return swrve
end

function initiateUserSession()
    local swrve = getSwrve()
    --print("INTIATE SWRVE USER SESSION")
    swrve:startSessionForUser("")
end

function populateDefaultResources() 
    --print("POPULATE SWRVE DEFAULT RESOURCES")
    local cohort_info = {           cohort_number = "-1",
                                    cohort_name = "unset", --
                                    test_number = "-1" ,
                                    test_name = "unset"  } --
    addResource("cohort_info", cohort_info )
    
    local feature_info = { preroll_feature = "start_boost",
                                        preroll_trigger = "incent_ad", 
                                        postroll_feature = "fall_recovery",
                                        postroll_trigger = "incent_ad"  } 
    addResource("feature_info", feature_info )
    
    local start_boost_info = {          duration = "4", --float
                                        frequency = "0.5", --float
                                        height_min = "1500" , --int
                                        height_max = "1500" , --int
                                        copy = "free", --sb_default, free, boost, bonus, rocket
                                        button = "filmstrip", --filmstrip, camera
                                        show_confirm_prompt = "true", --bool
                                        confirm_prompt_copy = "simple", -- "simple" or "exact" or "inspirational"
                                        confirm_prompt_watch_right = "true", --bool
                                        give_shield = "true", --bool
                                        cancel_copy = "ia_cancel", -- "ia_cancel" or "ia_no_thanks" or "ia_skip
                                        allow_cancel = "true", --bool
                                        big_layout = "false", --bool
                                        cancel_button_style = "full", -- "close_x" or "full"
                                        cancel_button_pos = "top_right" } -- "top_right" or "top_left" } --
    addResource("start_boost_info", start_boost_info )
    
    local fall_recovery_info = {        duration = "4", --float
                                        frequency = "0.5", --float
                                        copy = "save_me", --fr_default, save_me, recover, revive, keep_going
                                        button = "filmstrip", --filmstrip, camera
                                        show_confirm_prompt = "true", --bool
                                        confirm_prompt_copy = "resume", -- "resume" or "save"
                                        confirm_prompt_watch_right = "true", --bool
                                        give_shield = "false", --bool
                                        cancel_copy = "ia_cancel", -- "ia_cancel" or "ia_no_thanks" or "ia_skip
                                        allow_cancel = "true", --bool
                                        big_layout = "false", --bool
                                        cancel_button_style = "full", -- "close_x" or "full"
                                        cancel_button_pos = "top_right" } -- "top_right" or "top_left" } --
    addResource("fall_recovery_info", fall_recovery_info )
    
    local ad_info = {                   interstitials = "on",
                                        banners = "on"  } --
    addResource("ad_info", ad_info )
    
    refresh()
end

function addResource(resource_name, attribute_table)
    local swrve = getSwrve()
    swrve:addResource(resource_name, attribute_table)
end

function getResourceAttributeString(resource_name, attribute_name)
    local swrve = getSwrve()
    local result = swrve:getResourceAttribute(resource_name, attribute_name)
    --print("Found as string ", resource_name, " ", attribute_name, " value = ", result)
    return result
end

function getResourceAttributeFloat(resource_name, attribute_name)
    local swrve = getSwrve()
    local result = swrve:getResourceAttributeAsFloat(resource_name, attribute_name)
    --print("Found as float ", resource_name, " ", attribute_name, " value = ", result)
    return result
end

function getResourceAttributeInt(resource_name, attribute_name)
    local swrve = getSwrve()
    local result = swrve:getResourceAttributeAsInt(resource_name, attribute_name)
    --print("Found as int ", resource_name, " ", attribute_name, " value = ", result)
    return result
end

function getResourceAttributeBool(resource_name, attribute_name)
    local swrve = getSwrve()
    local result = swrve:getResourceAttributeAsBool(resource_name, attribute_name)
    print("Found as bool ", resource_name, " ", attribute_name, " value = ", result)
    return result
end

function refresh()
    local swrve = getSwrve()
    swrve:refreshResources()
end