------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Walls              --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local chunks    = engine.chunks
local constants = engine.platform.constants
local assets    = chunks.assets
local pool      = chunks.pool

-- LuaWalls --
LuaWalls = chunks.class.new()

-- The spawner.
spawn = chunks.class.spawner( Walls, LuaWalls )

-- The created method.
function LuaWalls:created( owner )
	local game = owner:getGame()
	
	-- Initialize owner.
	owner.location   = pool.get_v3f( 0.0, 0.0, -50.0 )
	owner.texture    = assets.textures.wall.path
	owner.world_size = constants.scene.world_size
	owner.tile_size  = constants.wall_tile_size
	owner.speed      = game.lua.speed
	
	-- The texture needs to be repeating.
	owner.texture.wrap = TextureResource.Wrap_Repeat
end

	